> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/reports/unfilled-placements

> Returns an asynchronous Unfilled Placements Report
<br />
This endpoint is subject to specific rate limits.



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/reports/unfilled-placements
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/reports/unfilled-placements:
    post:
      tags:
        - Analytics
      summary: /preview/retail-media/reports/unfilled-placements
      description: "Returns an asynchronous Unfilled Placements Report\r\n<br />\r\nThis endpoint is subject to specific rate limits."
      operationId: GenerateAsyncUnfilledPlacementsReport
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AsyncUnfilledPlacementsReportRequest'
        required: true
        x-bodyName: request
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncReportResponse'
      security:
        - oauth:
            - RetailMedia_Analytics_Read
components:
  schemas:
    AsyncUnfilledPlacementsReportRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AsyncUnfilledPlacementsReportResource'
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value
    AsyncReportResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/StatusResponseResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
      description: Async Report response format
    AsyncUnfilledPlacementsReportResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/AsyncUnfilledPlacementsReport'
        type:
          type: string
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value
    StatusResponseResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/StatusResponse'
        id:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
      description: A class that represents a domain entity exposed by an API
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    AsyncUnfilledPlacementsReport:
      required:
        - dimensions
        - endDate
        - metrics
        - startDate
        - supplyAccountIds
      type: object
      properties:
        adServerType:
          enum:
            - all
            - gam
            - criteo
          type: string
          description: 'Filter on the type of the ad server: criteo, gam, all'
          default: all
        campaignType:
          enum:
            - all
            - sponsoredProducts
            - onSiteDisplays
          type: string
          description: >-
            Filter on the type of the campaign: onsite display, onsite sponsored
            products, all
          default: all
        dimensions:
          minItems: 1
          type: array
          items:
            enum:
              - date
              - retailerId
              - retailerName
              - placementId
              - placementName
              - pageTypeName
              - servedCategory
              - environment
              - retailerCategoryId
              - retailerCategoryName
              - adServerType
              - campaignType
            type: string
          description: List of dimensions to report on
        endDate:
          type: string
          description: End date
          format: date-time
        format:
          enum:
            - json
            - json-compact
            - json-newline
            - csv
          type: string
          description: Format of the output
          default: json
        metrics:
          minItems: 1
          type: array
          items:
            enum:
              - totalUnfilledPlacements
              - unfilledUserOptOut
              - unfilledNotEnoughDemand
              - unfilledTotalAuctionSettings
              - unfilledTotalAuctionConsiderations
              - unfilledAdvertiserAuctionSettings
              - unfilledRetailerAuctionSettings
              - unfilledCriteoAuctionSettings
              - unfilledReturnedButNotPainted
              - nonDeliverableUnmappedCategories
              - nonDeliverablePagesWithUnknownProducts
              - nonDeliverableBlockedOptOut
              - nonDeliverableBlockedPageCategory
              - nonDeliverableInactivePlacement
              - nonDeliverableInsufficientOrganicResults
              - nonDeliverableInvalidTraffic
              - nonDeliverableTestPlacement
              - uncoveredUnusedFormats
              - uncoveredSearchTermWithoutCategory
              - uncoveredNoDemandBrandedKeywordConquestingEnabled
              - uncoveredNoDemandBrandedKeywordConquestingDisabled
              - uncoveredNoDemandUnbrandedInventory
              - uncoveredNoDemandOptOut
              - uncoveredFilteredOutDemand
              - uncoveredBrokenPlacement
              - uncoveredNotPainted
              - availablePlacements
              - fillRate
              - placementImpressions
              - productImpressions
              - placementClicks
              - productClicks
              - clicks
              - placementImpressionsCTR
              - productImpressionsCTR
              - cpm
              - cpc
              - placementImpressionsRevenue
              - productClicksRevenue
              - revenue
              - nonDeliverablePlacements
              - deliverablePlacements
              - placementsWithCandidates
              - coveredPlacements
              - coverageRate
            type: string
          description: List of metrics to report on
        startDate:
          type: string
          description: Start date
          format: date-time
        supplyAccountIds:
          type: array
          items:
            type: string
          description: Supply account ids to report on
        timezone:
          type: string
          description: 'Time zone : see criteo developer portal for supported time zones'
          default: UTC
      description: Async Unfilled Placements report body request
    StatusResponse:
      type: object
      properties:
        createdAt:
          type: string
          nullable: true
        expiresAt:
          type: string
          nullable: true
        fileSizeBytes:
          type: integer
          format: int64
          nullable: true
        id:
          type: string
          nullable: true
        md5CheckSum:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        rowCount:
          type: integer
          format: int32
          nullable: true
        status:
          enum:
            - pending
            - success
            - failure
            - expired
          type: string
          nullable: true
      description: Status of an async report request
      nullable: true
      x-criteo-canonical:
        infoType: entity
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````